Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::SequenceHeaderByteIO Class Reference

A random access point within a Dirac bytestream.

`#include <accessunit_byteio.h>`

Inheritance diagram for dirac::SequenceHeaderByteIO:
[legend]
Collaboration diagram for dirac::SequenceHeaderByteIO:
[legend]

List of all members.

## Public Member Functions

- SequenceHeaderByteIO (SourceParams &src_params, EncoderParams &enc_params)
    Constructor (encoding).
- SequenceHeaderByteIO (const ParseUnitByteIO &parseunit_byteio, ParseParams &parse_params, SourceParams &src_params, CodecParams &codec_params)
    Constructor (decoding).
- ~SequenceHeaderByteIO ()
    Destructor.
- bool Input ()
    Parses data in Dirac-stream format (decoding).
- void Output ()
    Writes access-unit info to Dirac stream-format (encoding).
- int GetSize () const
    Gets size (in bytes).
- ParseUnitType GetType () const
    Gets parse-unit type.

## Private Member Functions

- unsigned char CalcParseCode () const
    Calculates parse-code based on access-unit parameters (encoding).
- void InputSourceParams ()
    Parse source attributes from bytestream-compatible input (decoding).
- void InputParseParams ()
    Parse parse attributes from bytestream-compatible input (decoding).
- void InputCodingParams ()
    Parse Coding attributes from bytestream-compatible input (decoding).
- void OutputSourceParams ()
    Output source attributes for bytestream-compatible output (encoding).
- void OutputParseParams ()
    Output parse attributes for bytestream-compatible output (encoding).
- void OutputCodingParams ()
    Output coding attributes for bytestream-compatible output (encoding).

## Private Attributes

- ParseParams m_parse_params
    Current parse parameters.
- ParseParamsByteIO m_parseparams_byteio
    Parse-params byte input/output.
- SourceParams m_default_src_params
    Default source parameters.
- SourceParams & m_src_params
    Current source parameters.
- SourceParamsByteIO m_sourceparams_byteio
    Source-params byte input/output.
- CodecParams & m_codec_params
    Current codec parameters.
- CodingParamsByteIO m_codingparams_byteio
    Coding-params byte input/output.

## Constructor & Destructor Documentation

dirac::SequenceHeaderByteIO::SequenceHeaderByteIO | ( | SourceParams & | src_params,
|  | EncoderParams & | enc_params |
| ) |  |  |

Parameters:

  | src_params | Source parameters for current AccessUnit
  | enc_params | Encoder parameters for current AccessUnit

dirac::SequenceHeaderByteIO::SequenceHeaderByteIO | ( | const ParseUnitByteIO & | parseunit_byteio,
|  | ParseParams & | parse_params,
|  | SourceParams & | src_params,
|  | CodecParams & | codec_params |
| ) |  |  |

Parameters:

  | parseunit_byteio | Source of data
  | parse_params | Destination of parse paramters data
  | src_params | Destination of source paramters data
  | codec_params | Destination of coding paramters data

dirac::SequenceHeaderByteIO::~SequenceHeaderByteIO | ( |  | ) |

## Member Function Documentation

bool dirac::SequenceHeaderByteIO::Input | ( |  | ) |

Reimplemented from dirac::ParseUnitByteIO.

void dirac::SequenceHeaderByteIO::Output | ( |  | ) |

int dirac::SequenceHeaderByteIO::GetSize | ( |  | ) | const`[virtual]`

Reimplemented from dirac::ParseUnitByteIO.

ParseUnitType dirac::SequenceHeaderByteIO::GetType | ( |  | ) | const`[inline, virtual]`

Reimplemented from dirac::ParseUnitByteIO.

References dirac::PU_SEQ_HEADER.

unsigned char dirac::SequenceHeaderByteIO::CalcParseCode | ( |  | ) | const`[private, virtual]`

Returns:
  Char bit-set

Reimplemented from dirac::ParseUnitByteIO.

void dirac::SequenceHeaderByteIO::InputSourceParams | ( |  | ) | `[private]`

void dirac::SequenceHeaderByteIO::InputParseParams | ( |  | ) | `[private]`

void dirac::SequenceHeaderByteIO::InputCodingParams | ( |  | ) | `[private]`

void dirac::SequenceHeaderByteIO::OutputSourceParams | ( |  | ) | `[private]`

void dirac::SequenceHeaderByteIO::OutputParseParams | ( |  | ) | `[private]`

void dirac::SequenceHeaderByteIO::OutputCodingParams | ( |  | ) | `[private]`

## Member Data Documentation

ParseParams dirac::SequenceHeaderByteIO::m_parse_params`[private]`

ParseParamsByteIO dirac::SequenceHeaderByteIO::m_parseparams_byteio`[private]`

SourceParams dirac::SequenceHeaderByteIO::m_default_src_params`[private]`

SourceParams& dirac::SequenceHeaderByteIO::m_src_params`[private]`

SourceParamsByteIO dirac::SequenceHeaderByteIO::m_sourceparams_byteio`[private]`

CodecParams& dirac::SequenceHeaderByteIO::m_codec_params`[private]`

CodingParamsByteIO dirac::SequenceHeaderByteIO::m_codingparams_byteio`[private]`

The documentation for this class was generated from the following file:

- accessunit_byteio.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.